function tcbpayClientCallback(respCode, respMsg, proxyCard) {
    if (respCode == "A01") {
        $('#tcbpay-enccardnum').val(proxyCard);
        $('#tcbpay-cardnumber').val('');
        $('#tcbpay-form').submit();
    } else {
        $('#payment-confirmation [type="submit"]').prop('disabled', false);
        alert(respMsg);
    }
}

jQuery(document).ready(function ($) {
    $('#payment-confirmation [type="submit"]').on('click', function(e) {
        e.preventDefault();

        var error = false;
        $('#tcbpay-form input[type="text"]').removeClass('has-error');
        var emptyFields = $('#tcbpay-form input[type="text"]').filter(function(index, elem) {
            return $.trim($(elem).val()) === '';
        });
        emptyFields.each(function() {
            $(this).addClass('has-error');
            error = true;
        });
        emptyFields.first().focus();

        if (error == false) {
            $(this).prop('disabled', true);
            TCBPayProxynizationAPI.process('#tcbpay-cardnumber', 'tcbpayClientCallback');
        }

        return false;
    });
});
